export interface Acccessors<T> {
    asUrlString: (s: string) => string | T;
    asUrlObject: (s: string) => URL | T;
    asRegExp: (s: string, flags?: string) => RegExp | T;
    asPortNumber: (s: string) => number | T;
    asInt: (s: string) => number | T;
    asIntPositive: (s: string) => number | T;
    asIntNegative: (s: string) => number | T;
    asFloat: (s: string) => number | T;
    asFloatPositive: (s: string) => number | T;
    asFloatNegative: (s: string) => number | T;
    asJson: (s: string) => Record<string, unknown> | Array<unknown> | T;
    asJsonObject: (s: string) => Record<string, unknown> | T;
    asJsonArray: (s: string) => Array<unknown> | T;
    asBool: (s: string) => boolean | T;
    asBoolStrict: (s: string) => boolean | T;
    asEnum: <V extends string>(s: V, validValues: Readonly<V[]> | V[]) => V | T;
    asArray: (s: string, delimiter?: string) => string[] | T;
}
export declare const accessors: Acccessors<never>;
