'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLogger = void 0;
var env_error_1 = require("./env-error");
/**
 * Default logger included with env-var.
 * Will not log anything if is set to production
 */
function createLogger(out, isProduction) {
    if (isProduction === void 0) { isProduction = true; }
    if (typeof isProduction !== 'boolean') {
        throw new env_error_1.EnvVarError('The second parameter passed to the createLogger function must be a boolean value');
    }
    var envVarLogger = function (varname, msg) {
        if (isProduction !== true) {
            out("env-var (".concat(varname, "): ").concat(msg));
        }
    };
    return envVarLogger;
}
exports.createLogger = createLogger;
